/* Prevent Lint from complaining about ANSI prototype extensions */
#ifdef _lint

#define __asm
#define __stdargs
#define __regargs
#define R_D0
#define R_D1
#define R_A0

#else

#define R_D0	register __d0
#define R_D1	register __d1
#define R_A0	register __a0

#endif

#include <dos.h>
#include <libraries/dosextens.h>

/*lint -save	*/
/*lint -library */
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <signal.h>
#include <proto/exec.h>
#include <proto/dos.h>
/*lint -restore	*/

extern int tolower (char);

#define MEMF_PUBLIC (1L<<0)
#define MEMF_CHIP   (1L<<1)
#define MEMF_FAST   (1L<<2)
#define MEMF_CLEAR  (1L<<16)

/* Structure used to hold file info in a linked list */
struct FibEntry
{
  struct MinNode fe_Node;
  struct FileInfoBlock *fe_Fib;
};

/* Flag bits for LSFLAGS */
#define BREAKFLAG	(1L << 0)
#define CONSOLE		(1L << 1)
#define SHOWDIRS	(1L << 2)
#define SHOWFILES	(1L << 3)
#define LISTALL		(1L << 4)
#define LONGLIST	(1L << 5)
#define NOSORTFLAG	(1L << 6)
#define NOTEFLAG	(1L << 7)
#define PATHNAMED	(1L << 8)
#define REVFLAG		(1L << 9)
#define LSUNUSEDFLAG	(1L << 10)
#define FULLPATHNAMES	(1L << 11)
#define ANTIMATCH	(1L << 12)
#define TOTALIZE	(1L << 13)
#define NOHEADERS	(1L << 14)
#define NOINTERACT	(1L << 15)
#define FILESFIRST	(1L << 16)
#define MIXFILESDIRS	(1L << 17)
#define SHOWOLDERTHAN	(1L << 18)
#define SHOWNEWERTHAN	(1L << 19)
#define REALBLOCK	(1L << 20)